using FLY.OBJComponents.Common;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace FLY.Thick.Base.Common
{
    /// <summary>
    /// 异常常量
    /// </summary>
    public class ERRNOs
    {
        public static ERRNOs Instance { get; } = new ERRNOs();

        public ERRNO BASE_ERRNO_ONBOOT = new ERRNO() { Code = 250, Descrption = "系统启动" };
        public ERRNO BASE_ERRNO_RINGTEST = new ERRNO() { Code = 1, Descrption = "报警测试" };
        public ERRNO BASE_ERRNO_AD_MIN = new ERRNO() { Code = 2, Descrption = "AD值太小" };
        public ERRNO BASE_ERRNO_AD_MAX = new ERRNO() { Code = 3, Descrption = "AD值太大" };
        public ERRNO BASE_ERRNO_EMERGENCY = new ERRNO() { Code = 4, Descrption = "急停" };
        public ERRNO BASE_ERRNO_LIMIT = new ERRNO() { Code = 5, Descrption = "限位" };
        public ERRNO BASE_ERRNO_FLYAD7DISCONNECTED = new ERRNO() { Code = 6, Descrption = "AD盒连接断开" };
        public ERRNO BASE_ERRNO_LICENSE_TIP = new ERRNO() { Code = 7, Descrption = "授权将要过期" };
        public ERRNO BASE_ERRNO_LICENSE = new ERRNO() { Code = 8, Descrption = "授权限制" };
        public ERRNO BASE_ERRNO_FILE_ERR_RESTORE = new ERRNO() { Code = 9, Descrption = "数据文件异常，恢复不成功" };
        public ERRNO BASE_ERRNO_FILE_RESTORE = new ERRNO() { Code = 10, Descrption = "数据文件异常，恢复成功" };
        public ERRNO SCAN_ERRNO_OVERCTRL = new ERRNO() { Code = 11, Descrption = "扫描超控制报警" };
        public ERRNO SCAN_ERRNO_OVERTOL = new ERRNO() { Code = 12, Descrption = "扫描超规格报警" };
        public ERRNO BASE_ERRNO_DB = new ERRNO() { Code = 13, Descrption = "数据库异常,重建" };
        public ERRNO BASE_ERRNO_TIMEGRIDADV = new ERRNO() { Code = 14, Descrption = "AD卡版本太低,不能启动 [高级AD数据]" };
        public ERRNO BASE_ERRNO_DB_BACKUP = new ERRNO() { Code = 15, Descrption = "已经连续开机1个月,数据库需要备份归档,请尽快重启服务器" };

        public ERRNO SCAN_ERRNO_FATAL = new ERRNO() { Code = 20, Descrption = "扫描异常，致命错误 必须停止扫描" };
        public ERRNO SYNC_ERRNO_FATAL = new ERRNO() { Code = 21, Descrption = "同步异常，致命错误 必须停止扫描" };
        public ERRNO MEASURE_SYNC_ERRNO_FATAL = new ERRNO() { Code = 22, Descrption = "测量同步参数异常，致命错误 必须停止" };

        public ERRNO SAMPLE_ERRNO_Failure = new ERRNO() { Code = 60, Descrption = "样品取样出错" };


    }
}
